|
Ubicación en el Menú |
---|
Edición -> Conmutar modo de edición |
Entornos de trabajo |
Todos |
Atajo de teclado por defecto |
Ninguno |
Introducido en versión |
- |
Ver también |
... |
Sinopsis
Este comando permite entrar o abandonar el modo de edición de un objeto seleccionado. Un objeto debe estar seleccionado (para entrar en modo de edición) o en modo de edición (para abandonar el modo de edición) para que funcione este comando.
Usage
- If no object is in edit mode: select a single object.
- Select the Edit →
Toggle Edit mode option from the menu.
- Either the default edit mode of the selected object is activated or the existing edit mode deactivated.
Notes
- Some tools will be disabled (greyed-out) in the user interface while an object's edit mode is active.
- Not all object types have an edit mode.
- The functionality available in edit mode depends on the object type.
- An object's edit mode can also be activated by double-clicking it in the Tree view. In that case the edit mode that is used can be defined with the Std UserEditMode command.
Archivos de guión
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
Esto entra en el modo de edición de un objeto determinado:
import FreeCADGui
FreeCADGui.ActiveDocument.setEdit("myObjectName",0)
The second argument is the EditMode. The following options are available:
0 = Default 1 = Transform 2 = Cutting 3 = Color
Esto cierra ek modo de edición:
import FreeCADGui
FreeCADGui.ActiveDocument.resetEdit()
Esta página ha sido recuperada de https://wiki.freecad.org/Std_Edit